"use strict";

import { useCallback } from 'react';
import { alert } from "../../containers/AlertContainer/alert.api.js";
export const useController = ({
  onAwaitableDismiss,
  onDismiss,
  resolve
}) => {
  const onButtonPress = useCallback(button => {
    const resolveWrapper = value => {
      resolve(value);
      if (button.hideAlertOnPress !== false) {
        alert.hide();
      }
    };
    if (button.onAwaitablePress) {
      button.onAwaitablePress(resolveWrapper);
    } else {
      button.onPress?.();
      resolveWrapper(undefined);
    }
  }, [resolve]);
  const onDismissButtonPress = useCallback(() => {
    const resolveWrapper = value => {
      resolve(value);
      alert.hide();
    };
    if (onAwaitableDismiss) {
      onAwaitableDismiss(resolveWrapper);
    } else {
      onDismiss?.();
      resolveWrapper(undefined);
    }
  }, [onAwaitableDismiss, onDismiss, resolve]);
  return {
    onDismissButtonPress,
    onButtonPress
  };
};
//# sourceMappingURL=controller.js.map