"use strict";

import { useMemo } from 'react';
import { StyleSheet } from 'react-native';
import { useAnimation } from "../../hooks/useAnimation.js";
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import { jsx as _jsx } from "react/jsx-runtime";
export const Backdrop = ({
  animationDuration,
  isHiding,
  backgroundColor = 'rgba(0, 0, 0, 0.5)'
}) => {
  const {
    animation
  } = useAnimation({
    animationDuration,
    isHiding
  });
  const animatedStyle = useAnimatedStyle(() => ({
    opacity: animation.value
  }));
  const style = useMemo(() => StyleSheet.compose(StyleSheet.absoluteFillObject, StyleSheet.compose(animatedStyle, {
    backgroundColor
  })), [animatedStyle, backgroundColor]);
  return /*#__PURE__*/_jsx(Animated.View, {
    style: style
  });
};
//# sourceMappingURL=index.js.map