"use strict";

import { Pressable, StyleSheet, Text } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
export const Button = ({
  onPress,
  text,
  testID,
  disabled
}) => {
  return /*#__PURE__*/_jsx(Pressable, {
    style: StyleSheet.compose(styles.button, {
      opacity: disabled ? 0.5 : 1
    }),
    onPress: onPress,
    testID: testID,
    disabled: disabled,
    children: /*#__PURE__*/_jsx(Text, {
      style: StyleSheet.compose(styles.buttonText, {
        color: disabled ? 'gray' : 'black'
      }),
      children: text
    })
  });
};
const styles = StyleSheet.create({
  button: {
    flexGrow: 1,
    backgroundColor: '#f0f0f0',
    borderRadius: 10,
    paddingVertical: 10,
    paddingHorizontal: 20
  },
  buttonText: {
    color: 'black',
    fontSize: 16,
    textAlign: 'center'
  }
});
//# sourceMappingURL=index.js.map