"use strict";

export class EventEmitter {
  listeners = [];
  emit(state) {
    this.listeners.forEach(listener => listener(state));
  }
  once(listener) {
    const onceWrapper = state => {
      listener(state);
      this.off(onceWrapper);
    };
    return this.on(onceWrapper);
  }
  on(listener) {
    this.listeners.push(listener);
    return () => this.off(listener);
  }
  off(listener) {
    this.listeners = this.listeners.filter(l => l !== listener);
  }
}
//# sourceMappingURL=EventEmitter.js.map