import type { Props as AlertProps } from '../../components/Alert/types';
import type { AlertConfig } from './types';
export declare const processAlertProps: (props: AlertProps, config?: AlertConfig) => {
    id?: string;
    testID?: string;
    afterButtonsSlot?: () => import("react").ReactElement<any>;
    beforeButtonsSlot?: () => import("react").ReactElement<any>;
    beforeMessageSlot?: () => import("react").ReactElement<any>;
    beforeTitleSlot?: () => import("react").ReactElement<any>;
    icon?: import("react").FC<{
        fill?: import("react-native").ColorValue;
        stroke?: import("react-native").ColorValue;
        width?: number;
        height?: number;
    }>;
    iconColor?: import("react-native").ColorValue;
    iconSize?: number;
    isDismissible?: boolean;
    message?: string;
    confetti?: boolean | import("../../components/Alert/types").ConfettiProps;
    onAwaitableDismiss?: ((resolve: (value: unknown) => void) => void) | undefined;
    onDismiss?: (() => Promise<unknown>) | (() => unknown) | undefined;
    renderMessage?: ({ style, text, }: {
        style: import("react-native").StyleProp<import("react-native").TextStyle>;
        text: string;
    }) => import("react").ReactElement<any>;
    renderTitle?: ({ style, text, }: {
        style: import("react-native").StyleProp<import("react-native").TextStyle>;
        text: string;
    }) => import("react").ReactElement<any>;
    renderDismissButton?: ({ onPress, }: {
        onPress: () => void;
    }) => import("react").ReactElement<any>;
    buttons?: import("../../components/Alert/types").AlertButton[];
    buttonsDirection?: "row" | "column";
    renderButton?: (props: Pick<import("../../components/Alert/types").AlertButton, "text" | "testID" | "disabled" | "customProps"> & {
        onPress: () => void;
    }) => import("react").ReactElement<any>;
    title?: string;
};
//# sourceMappingURL=utils.d.ts.map